Get a recording
GET
/v1/projects/{projectId}/recordings/{recordingId}curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/recordings/{recordingId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- recordingIdstring必填
响应
Success
- dataobject必填
- idstring必填
- projectIdstring必填
- namestring必填
- tagsarray<string>必填
- sourceFormatstring | null必填
- sourcestring必填可选值uploadcollectionhub_import
- huggingFaceobject
- statusobject必填
- segmentationStateobject必填
- privacyStatestring | null必填可选值pendinganonymizedrefused
- privacyRequirementstring可选值requirednot_required
- privacyGatestring可选值humannon_human
- durationNsnumber | null必填
- collectorany | null必填
- posterUrlstring | null必填
- latestReadyProcessingResultIdstring | null必填
- processedWithobject | null必填
- rigProfileobject | null必填
- captureLabelsobject
- rejectedSavedMinutesnumber | null必填
- createdAtstring必填
- updatedAtstring必填
响应示例
{
"data": {
"id": "string",
"projectId": "string",
"name": "string",
"tags": [
"string"
],
"sourceFormat": "string",
"source": "upload",
"huggingFace": {
"type": "hugging_face",
"repoId": "string",
"revision": "string",
"commitSha": "string",
"subPath": "string",
"licence": "string",
"gated": "none",
"sourceFormat": "lerobot-v3",
"progress": {
"filesDone": 0,
"filesTotal": 0,
"bytesDone": 0,
"bytesTotal": 0
},
"failureReason": "HF_REPO_NOT_FOUND"
},
"status": {
"lifecycle": "failed",
"quality": "warn",
"qualityCheckId": "string",
"qualityVerdict": "warning",
"stepId": "string",
"stepWaitReason": "string",
"noProgressSince": "string",
"failure": {
"code": "string",
"reason": "string",
"stepId": "string",
"stepName": "string",
"stepAlgorithm": {
"slug": "string",
"title": "string",
"official": false
},
"stepRunId": "string",
"runId": "string",
"stepErrorCode": "string"
},
"runId": "string",
"processingRefused": {
"code": "string"
}
},
"segmentationState": {
"state": "not_segmented",
"episodeCount": 0
},
"privacyState": "pending",
"privacyRequirement": "required",
"privacyGate": "human",
"durationNs": 0,
"collector": null,
"posterUrl": "string",
"latestReadyProcessingResultId": "string",
"processedWith": {
"workflowName": "string",
"revision": 0
},
"rigProfile": {
"name": "string",
"revisionId": "string"
},
"captureLabels": {
"tags": [
"string"
],
"scene": "string",
"taskDescription": "string"
},
"rejectedSavedMinutes": 0,
"createdAt": "string",
"updatedAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1